aboutsummaryrefslogtreecommitdiff
path: root/backends/platform/openpandora
diff options
context:
space:
mode:
Diffstat (limited to 'backends/platform/openpandora')
-rwxr-xr-xbackends/platform/openpandora/build/PXML.xml12
-rwxr-xr-xbackends/platform/openpandora/build/README-OPENPANDORA8
-rwxr-xr-xbackends/platform/openpandora/build/README-PND.txt14
-rwxr-xr-xbackends/platform/openpandora/build/pnd_make.sh24
-rwxr-xr-xbackends/platform/openpandora/module.mk4
-rwxr-xr-xbackends/platform/openpandora/op-bundle.mk22
6 files changed, 42 insertions, 42 deletions
diff --git a/backends/platform/openpandora/build/PXML.xml b/backends/platform/openpandora/build/PXML.xml
index 57299a6cbd..f4d2e2a595 100755
--- a/backends/platform/openpandora/build/PXML.xml
+++ b/backends/platform/openpandora/build/PXML.xml
@@ -4,7 +4,7 @@
<application id="scummvm.djwillis.0001" appdata="scummvm">
<title lang="en_US">ScummVM</title>
-
+
<exec command="./runscummvm.sh"/>
<icon src="icon/scummvm.png"/>
@@ -13,20 +13,20 @@
</previewpics>
<info name="ScummVM Documentation" type="text/html" src="docs/index.html"/>
-
+
<description lang="en_US">Point & click game interpreter.</description>
-
+
<author name="DJWillis" website="http://www.scummvm.org/"/>
-
+
<version major="1" minor="1" release="1" build="1"/><!--This programs version-->
<osversion major="1" minor="0" release="0" build="0"/><!--The minimum OS version required-->
-
+
<categories>
<category name="Game"><!--category like "Games", "Graphics", "Internet" etc-->
<subcategory name="Adventure Games"/><!--subcategory, like "Board Games", "Strategy", "First Person Shooters"-->
</category>
</categories>
-
+
<clockspeed frequency="500"/><!--Frequency in Hz-->
</application>
diff --git a/backends/platform/openpandora/build/README-OPENPANDORA b/backends/platform/openpandora/build/README-OPENPANDORA
index 18bfd3be21..c909ed56a6 100755
--- a/backends/platform/openpandora/build/README-OPENPANDORA
+++ b/backends/platform/openpandora/build/README-OPENPANDORA
@@ -19,10 +19,10 @@ Contents:
Please refer to the:
-ScummVM Forum: <http://forums.scummvm.org/>
-WiKi: <http://wiki.scummvm.org/index.php/OpenPandora>
+ScummVM Forum: <http://forums.scummvm.org/>
+WiKi: <http://wiki.scummvm.org/index.php/OpenPandora>
-for the most current information on the port and any updates to this
+for the most current information on the port and any updates to this
documentation.
------------------------------------------------------------------------
@@ -112,7 +112,7 @@ Fancy button combos:
NOTE: To use button combos press and hold the Left Trigger then...
-Right Trigger: Display Virtual Keyboard
+Right Trigger: Display Virtual Keyboard
Menu: Bring up the Global main menu for ScummVM
Select: Exit ScummVM completely (and gracefully)
diff --git a/backends/platform/openpandora/build/README-PND.txt b/backends/platform/openpandora/build/README-PND.txt
index 38b22fc38d..942c3a43e2 100755
--- a/backends/platform/openpandora/build/README-PND.txt
+++ b/backends/platform/openpandora/build/README-PND.txt
@@ -3,16 +3,16 @@ ScummVM - OPENPANDORA README - HOW TO INSTALL
Please refer to the:
-ScummVM Forum: <http://forums.scummvm.org/>
-WiKi: <http://wiki.scummvm.org/index.php/OpenPandora>
+ScummVM Forum: <http://forums.scummvm.org/>
+WiKi: <http://wiki.scummvm.org/index.php/OpenPandora>
-for the most current information on the port and any updates to this
+for the most current information on the port and any updates to this
documentation.
------------------------------------------------------------------------
Installing:
-This archive contains ScummVM in a PND format ready to be copied to the
+This archive contains ScummVM in a PND format ready to be copied to the
OpenPandora and used.
To install just copy the .pnd file from this archive to your device.
@@ -20,13 +20,13 @@ To install just copy the .pnd file from this archive to your device.
You will need to place the .pnd file in a suitable location on your SD
card.
-/pandora/desktop <- place here if you wish the icon to show on the
+/pandora/desktop <- place here if you wish the icon to show on the
desktop. Documentation will show in the menu.
-/pandora/menu <- place here if you wish the icon to show on the
+/pandora/menu <- place here if you wish the icon to show on the
Xfce menu. Documentation will show in the menu.
-/pandora/apps <- place here if you wish the icon to show on the
+/pandora/apps <- place here if you wish the icon to show on the
desktop and in the menu. Documentation will show
in the menu.
diff --git a/backends/platform/openpandora/build/pnd_make.sh b/backends/platform/openpandora/build/pnd_make.sh
index dcdcaceecd..b19de87bb4 100755
--- a/backends/platform/openpandora/build/pnd_make.sh
+++ b/backends/platform/openpandora/build/pnd_make.sh
@@ -1,11 +1,11 @@
#!/bin/sh
-
+
######adjust path of genpxml.sh if you want to use that "feture"#####
-
+
TEMP=`getopt -o p:d:x:i:c -- "$@"`
-
+
if [ $? != 0 ] ; then echo "Terminating..." >&2 ; exit 1 ; fi
-
+
eval set -- "$TEMP"
while true ; do
case "$1" in
@@ -18,25 +18,25 @@ while true ; do
*) echo "Error while parsing arguments! $2" ; exit 1 ;;
esac
done
-
+
rnd=$RANDOM; # random number for genpxml and index$rnd.xml
-
+
#generate pxml if guess or empty
if [ ! $PXML ] || [ $PXML = "guess" ] && [ $PNDNAME ] && [ $FOLDER ]; then
PXMLtxt=$(/home/user/libpnd/pandora-libraries/testdata/scripts/genpxml.sh $FOLDER $ICON)
PXML=$FOLDER/PXML.xml
echo "$PXMLtxt" > $FOLDER/PXML.xml
fi
-
+
#check arguments
if [ ! $PNDNAME ] || [ ! $FOLDER ] || [ ! $PXML ]; then
- echo " Usage: pnd_make.sh -p your.pnd -d folder/containing/your/app/ -x
+ echo " Usage: pnd_make.sh -p your.pnd -d folder/containing/your/app/ -x
your.pxml (or \"guess\" to try to generate it from the folder) -i icon.png"
exit 1
fi
if [ ! -d $FOLDER ]; then echo "$FOLDER doesnt exist"; exit 1; fi #check if folder actually exists
if [ ! -f $PXML ]; then echo "$PXML doesnt exist"; exit 1; fi #check if pxml actually exists
-
+
#make iso from folder
if [ ! $SQUASH ]; then
mkisofs -o $PNDNAME.iso -R $FOLDER
@@ -45,12 +45,12 @@ else
echo "your squashfs version is older then version 4, please upgrade to 4.0 or later"
exit 1
fi
- mksquashfs -no-recovery -nopad $FOLDER $PNDNAME.iso
+ mksquashfs -no-recovery -nopad $FOLDER $PNDNAME.iso
fi
#append pxml to iso
cat $PNDNAME.iso $PXML > $PNDNAME
rm $PNDNAME.iso #cleanup
-
+
#append icon if specified
if [ $ICON ]; then # check if we want to add an icon
if [ ! -f $ICON ]; then #does the icon actually exist?
@@ -61,5 +61,5 @@ if [ $ICON ]; then # check if we want to add an icon
rm $PNDNAME.tmp #cleanup
fi
fi
-
+
if [ $PXML = "guess" ];then rm $FOLDER/PXML.xml; fi #cleanup
diff --git a/backends/platform/openpandora/module.mk b/backends/platform/openpandora/module.mk
index c8a4b1b32d..867908c840 100755
--- a/backends/platform/openpandora/module.mk
+++ b/backends/platform/openpandora/module.mk
@@ -6,10 +6,10 @@ MODULE_OBJS := \
op-main.o
MODULE_DIRS += \
- backends/platform/openpandora/
+ backends/platform/openpandora/
# We don't use the rules.mk here on purpose
OBJS := $(addprefix $(MODULE)/, $(MODULE_OBJS)) $(OBJS)
# Hack to ensure the SDL backend is built so we can use OSystem_SDL.
--include $(srcdir)/backends/platform/sdl/module.mk \ No newline at end of file
+-include $(srcdir)/backends/platform/sdl/module.mk
diff --git a/backends/platform/openpandora/op-bundle.mk b/backends/platform/openpandora/op-bundle.mk
index a08d64a643..163f4711ce 100755
--- a/backends/platform/openpandora/op-bundle.mk
+++ b/backends/platform/openpandora/op-bundle.mk
@@ -22,10 +22,10 @@ op-bundle: $(EXECUTABLE)
$(CP) $(srcdir)/backends/platform/openpandora/build/README-OPENPANDORA $(bundle_name)/scummvm/docs/
- $(CP) $(srcdir)/backends/platform/openpandora/build/index.html $(bundle_name)/scummvm/docs/
+ $(CP) $(srcdir)/backends/platform/openpandora/build/index.html $(bundle_name)/scummvm/docs/
$(INSTALL) -c -m 644 $(DIST_FILES_DOCS) $(bundle_name)/scummvm/docs/
-
+
$(INSTALL) -c -m 644 $(DIST_FILES_THEMES) $(bundle_name)/scummvm/data/
$(INSTALL) -c -m 644 $(DIST_FILES_ENGINEDATA) $(bundle_name)/scummvm/data/
@@ -36,10 +36,10 @@ ifdef DYNAMIC_MODULES
$(INSTALL) -c -m 644 $(PLUGINS) "$(bundle_name)/scummvm/plugins"
$(STRIP) $(bundle_name)/scummvm/plugins/*
endif
-
+
$(CP) $(libloc)/../arm-angstrom-linux-gnueabi/usr/lib/libFLAC.so.8.2.0 $(bundle_name)/scummvm/lib/libFLAC.so.8
tar -C $(bundle_name) -cvjf $(bundle_name).tar.bz2 .
- rm -R ./$(bundle_name)
+ rm -R ./$(bundle_name)
op-pnd: $(EXECUTABLE)
$(MKDIR) "$(bundle_name)"
@@ -58,10 +58,10 @@ op-pnd: $(EXECUTABLE)
$(CP) $(srcdir)/backends/platform/openpandora/build/README-OPENPANDORA $(bundle_name)/scummvm/docs/
- $(CP) $(srcdir)/backends/platform/openpandora/build/index.html $(bundle_name)/scummvm/docs/
+ $(CP) $(srcdir)/backends/platform/openpandora/build/index.html $(bundle_name)/scummvm/docs/
$(INSTALL) -c -m 644 $(DIST_FILES_DOCS) $(bundle_name)/scummvm/docs/
-
+
$(INSTALL) -c -m 644 $(DIST_FILES_THEMES) $(bundle_name)/scummvm/data/
$(INSTALL) -c -m 644 $(DIST_FILES_ENGINEDATA) $(bundle_name)/scummvm/data/
@@ -72,14 +72,14 @@ ifdef DYNAMIC_MODULES
$(INSTALL) -c -m 644 $(PLUGINS) "$(bundle_name)/scummvm/plugins"
$(STRIP) $(bundle_name)/scummvm/plugins/*
endif
-
+
$(CP) $(libloc)/../arm-angstrom-linux-gnueabi/usr/lib/libFLAC.so.8.2.0 $(bundle_name)/scummvm/lib/libFLAC.so.8
-
+
$(srcdir)/backends/platform/openpandora/build/pnd_make.sh -p $(bundle_name).pnd -d $(bundle_name)/scummvm -x $(bundle_name)/scummvm/data/PXML.xml -i $(bundle_name)/scummvm/icon/scummvm.png
-
- $(CP) $(srcdir)/backends/platform/openpandora/build/README-PND.txt $(bundle_name)
+
+ $(CP) $(srcdir)/backends/platform/openpandora/build/README-PND.txt $(bundle_name)
tar -cvjf $(bundle_name)-pnd.tar.bz2 $(bundle_name).pnd $(bundle_name)/README-PND.txt
- rm -R ./$(bundle_name)
+ rm -R ./$(bundle_name)
# rm $(bundle_name).pnd
.PHONY: op-bundle op-pnd